aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSilvio Rhatto <rhatto@riseup.net>2015-09-11 11:07:18 -0300
committerSilvio Rhatto <rhatto@riseup.net>2015-09-11 11:07:18 -0300
commit4a7f22c535dffb792fff4b46b7df5fee62ddde3d (patch)
tree0204e8a57c93a4fe25a2d0a139b5f794bbc81d38
parentf5f101f223093befcd31f8ee31144b580f3008db (diff)
downloadhydra-4a7f22c535dffb792fff4b46b7df5fee62ddde3d.tar.gz
hydra-4a7f22c535dffb792fff4b46b7df5fee62ddde3d.tar.bz2
Placeholder for import-certs
-rwxr-xr-xshare/hydra/import-certs35
1 files changed, 35 insertions, 0 deletions
diff --git a/share/hydra/import-certs b/share/hydra/import-certs
new file mode 100755
index 0000000..dee4bdb
--- /dev/null
+++ b/share/hydra/import-certs
@@ -0,0 +1,35 @@
+#!/bin/bash
+#
+# Import certs into nodes.
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU Affero General Public License as
+# published by the Free Software Foundation, either version 3 of the
+# License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU Affero General Public License for more details.
+#
+# You should have received a copy of the GNU Affero General Public
+# License along with this program. If not, see
+# <http://www.gnu.org/licenses/>.
+
+# Load
+source $APP_BASE/lib/hydra/functions || exit 1
+hydra_config_load
+
+# Command line arguments
+NODES="$*"
+
+# Build node list
+if [ -z "$NODES" ]; then
+ NODES="`hydra $HYDRA nodes`"
+fi
+
+# Deploy
+for node in $NODES; do
+ # TODO
+ echo "Not implemented!"
+done